メニュー
Amazon ElastiCache
ユーザーガイド (API Version 2015-02-02)

インストールパッケージのダウンロード

適切なバージョンの ElastiCache Cluster Client for PHP を使用するには、Amazon EC2 インスタンスにインストールされている PHP のバージョンを確認する必要があります。また、Amazon EC2 インスタンスが Linux の 64 ビットバージョンと 32 ビットバージョンのどちらを実行しているかも確認する必要があります。

Amazon EC2 インスタンスにインストールされている PHP のバージョンを確認するには

  • コマンドプロンプトで、次のコマンドを入力します。

    Copy
    $ php -v

    PHP のバージョンは、次の例のように出力に表示されます。

    PHP 5.4.10 (cli) (built: Jan 11 2013 14:48:57) 
    Copyright (c) 1997-2012 The PHP Group
    Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies

    注記

    PHP と Memcached のバージョンに互換性がない場合は、以下のようなエラーメッセージが表示されます。

    PHP Warning: PHP Startup: memcached: Unable to initialize module
    Module compiled with module API=20100525
    PHP compiled with module API=20131226
    These options need to match
    in Unknown on line 0

    この場合は、ソースコードからモジュールをコンパイルする必要があります。詳細については、「PHP 向けの ElastiCache クラスタークライアントのソースコードのコンパイル」を参照してください。

Amazon EC2 AMI アーキテクチャ (64 ビットまたは 32 ビット) を確認するには

  1. AWS マネジメントコンソールにサインインをしたあと、https://console.aws.amazon.com/ec2/ にある Amazon EC2 コンソールを開きます。

  2. [Instances] リストで、Amazon EC2 インスタンスをクリックします。

  3. [Description] タブで、[AMI:] フィールドを検索します。64 ビットのインスタンスでは、説明に x86_64 が含まれています。32 ビットのインスタンスの場合は、このフィールドで i386 または i686 を探します。

これで ElastiCache Cluster Client をダウンロードする準備ができました。

ElastiCache Cluster Client for PHP をダウンロードするには

  1. AWS マネジメントコンソールにサインインし、ElastiCache コンソール(https://console.aws.amazon.com/elasticache/)を開きます。

  2. ElastiCache コンソールで、[ElastiCache Cluster Client] を選択します。

  3. [Download ElastiCache Memcached Cluster Client] リストで、PHP バージョンと AMI アーキテクチャーに合った ElastiCache クラスタークライアントを選択し、[Download] ボタンを選択します。